<?php

namespace Modules\Canteen\Interfaces;

use Modules\Canteen\Models\Canteen;

interface CanteenRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Canteen;
    public function update(array $request, Canteen $canteen): Canteen;
    public function destroy(Canteen $canteen): void;
    public function destroyAll(array $ids): void;
    public function restore(Canteen $canteen): void;
    public function restoreAll(array $ids): void;
}
